# Get all jobs for given criteria.

Get a list of job IDs for a specified time period and corresponding to the other optionla filters.

Endpoint: GET /jobs
Version: v1.0.0
Security: httpBasicAuth

## Query parameters:

  - `jobIdsOnly` (boolean, required)
    Return only jobIDs. Currently only 'true' is supported.

  - `fromTs` (string)
    From timestamp (ISO-8601). The interval between fromTs and toTs can be a maximum of 30 days.
    Example: "2022-06-13T00:00+02:00"

  - `toTs` (string)
    To timestamp (ISO-8601). The interval between fromTs and toTs can be a maximum of 30 days.
    Example: "2022-06-20T00:00+02:00"

  - `open` (boolean)
    Return only open jobs.

  - `offset` (integer)
    Parameter used for pagination. Retrieve a subset of records starting with the offset value.

  - `limit` (integer)
    Limit number of results returned. Value must be between 0 and 1000.

## Response 200 fields (application/json):

  - `jobId` (string)
    Example: "J.20220928-125820.020-0l8likuetGNOTM4A4U"

  - `src` (string)
    Sender ID.
    Example: "retarus"

  - `encoding` (string)
    Enum: "standard", "utf-16"

  - `billcode` (string)
    Example: "Campaign123"

  - `statusRequested` (boolean)
    Delivery notification requested.

  - `flash` (boolean)

  - `validityMin` (integer)
    Validity of the SMS in minutes.
    Example: 2880

  - `customerRef` (string)
    Recommended max. 64 characters.
    Example: "InternalID: ABC1234 Tag: Marketing"

  - `qos` (string)
    Quality of Service.
    Enum: "EXPRESS", "NORMAL"

  - `receiptTs` (string)
    Timestamp indicating when the job was received by Retarus (iso-8601).
    Example: "2022-09-01T10:25:00.000Z"

  - `finishedTs` (string)
    Timestamp indicating when the SMS received its final status (iso-8601).
    Example: "2022-09-30T10:25:00.000Z"

  - `recipientIds` (array)
    Example: ["S.20220928-125820.022-0l8likueyRB3CT8FTG"]


## Response 400 fields

## Response 401 fields

## Response 500 fields
